Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util
Interface Logger

    public interface Logger

A simple logging service for components. Four log levels are provided:

- Error -- an error occured in the component.
- Warn -- a condition occured that an administrator should be warned about.
- Info -- used to send information messages, such as a version or license notice.
- Debug -- used to send debugging information. Most Log implementations will disable debug output by default.

Log implementations will attempt use the native logging service of the component host server. However, this may not be possible in some cases -- for example, when using an external component that is not currently connected to the server.

Author:
  Matt Tucker

Method Summary
`void` | `debug(String message)` Logs a debug message.
`void` | `debug(String message, Throwable throwable)` Logs a debug message.
`void` | `debug(Throwable throwable)` Logs a debug message.
`void` | `error(String message)` Logs an error.
`void` | `error(String message, Throwable throwable)` Logs an error.
`void` | `error(Throwable throwable)` Logs an error.
`void` | `info(String message)` Logs an info message.
`void` | `info(String message, Throwable throwable)` Logs an info message.
`void` | `info(Throwable throwable)` Logs an info message.
`void` | `warn(String message)` Logs a warning.
`void` | `warn(String message, Throwable throwable)` Logs a warning.
`void` | `warn(Throwable throwable)` Logs a warning.

Method Detail

### error

    void error(String message)

  Logs an error.

  Parameters:
    `message` - the error message.

### error

    void error(String message,
               Throwable throwable)

  Logs an error.

  Parameters:
    `message` - the error message.
    `throwable` - the Throwable that caused the error.

### error

    void error(Throwable throwable)

  Logs an error.

  Parameters:
    `throwable` - the Throwable that caused the error.

### warn

    void warn(String message)

  Logs a warning.

  Parameters:
    `message` - the warning message.

### warn

    void warn(String message,
              Throwable throwable)

  Logs a warning.

  Parameters:
    `message` - the warning message.
    `throwable` - the Throwable that caused the error.

### warn

    void warn(Throwable throwable)

  Logs a warning.

  Parameters:
    `throwable` - the Throwable that caused the error.

### info

    void info(String message)

  Logs an info message.

  Parameters:
    `message` - the info message.

### info

    void info(String message,
              Throwable throwable)

  Logs an info message.

  Parameters:
    `message` - the info message.
    `throwable` - the Throwable that caused the info message.

### info

    void info(Throwable throwable)

  Logs an info message.

  Parameters:
    `throwable` - the Throwable that caused the info message.

### debug

    void debug(String message)

  Logs a debug message.

  Parameters:
    `message` - the debug message.

### debug

    void debug(String message,
               Throwable throwable)

  Logs a debug message.

  Parameters:
    `message` - the debug message.
    `throwable` - the Throwable that caused the debug message.

### debug

    void debug(Throwable throwable)

  Logs a debug message.

  Parameters:
    `throwable` - the Throwable the caused the debug message.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.